Subject: Re: [PATCH net-next] net: Reorganize networking documentation toctree

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Oct 2025 17:50:18 -0700

On Tue, 28 Oct 2025 18:39:24 +0700 Bagas Sanjaya wrote:
> Current netdev docs has one large, unorganized toctree that makes
> finding relevant docs harder like a needle in a haystack. Split the
> toctree into four categories: networking core; protocols; devices; and
> assorted miscellaneous.
> 
> While at it, also sort the toctree entries and reduce toctree depth.

Looking at the outcome -- I'm not sure we're achieving sufficient
categorization here. It's a hard problem to group these things.
What ends up under Networking devices and Miscellaneous seems
pretty random. Bunch of the entries under there should be in protocols
or core. And at the end of the day if we don't have a very intuitive
categorization the reader has to search anyway. So no point..
-- 
pw-bot: cr